#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-15HXUl99oZy9rD3YX6hn8p
key:                  coinbase-pro-0.9.3.2-15HXUl99oZy9rD3YX6hn8p
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  881cf7a03d4dc5b150c82c545225831c
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-15HXUl99oZy9rD3YX6hn8p
depends:
    HsOpenSSL-0.11.7.8-FPTjEq78FoBKvZCbf1L4u
    aeson-2.1.2.1-IkP1OjeNuTxglWxWeIvI9
    aeson-casing-0.2.0.0-Cp6dGTawkaTBh4hVeeogY2
    async-2.2.5-A9yY3sStrUyIJcfOkNbDOv base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-HEkNV1IKVtLAPqzqnhGNTC exceptions-0.10.4
    http-api-data-0.5.1-ILpYWdKjUlDLjeQe14VP0d
    http-client-0.7.17-2Oi6aYWRkvSIlsipbaKPwU
    http-client-tls-0.3.6.3-JOUTFtJTcAY3U5MOJvGMFy
    http-streams-0.8.9.9-KiIDVTCJnLo240UnGRAw4g
    http-types-0.12.4-6kOruwBLItLEcotK7uAwKL
    io-streams-1.5.2.2-KO30RAG7JGVFKVzUQp24AP
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-1av7pSyu1s1AG52DPIhcGs
    servant-0.20.2-A62bKMN5vmf2UuT5Owo1ci
    servant-client-0.20-9QnUl2QVxrm1qr4srbrUFp
    servant-client-core-0.20.2-KT1uinJU7m06v1kjR7jNyt
    tasty-1.4.3-CfIBZQM3K237yv93el2PCn
    tasty-hunit-0.10.1-Ft7IXBQwHwoF9bmw9SZtNS text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-Awz5joCKdIVLuAYHFye5Ik
    unordered-containers-0.2.20-KbuohGKDXjMH23185MHhrF
    uuid-1.3.15-GJAgkIPzZsG6ahfadLQUcv
    vector-0.13.1.0-1Hbj4hORR7KGMeSpv0BhQN
    websockets-0.12.7.3-1Q3vPH3qZ9aCPAVTGrY3FR
    wuss-2.0.1.1-8mTGsbOfJHp2n17UBnVhr8

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

